Bug 1469367 - [RFE] Multiple users deletion should be supported in Satellite 6.3
[RFE] Multiple users deletion should be supported in Satellite 6.3
Status: NEW
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Users & Roles (Show other bugs)
6.3.0
Unspecified Unspecified
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
Katello QA List
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-11 02:38 EDT by Nikhil Kathole
Modified: 2018-07-07 01:47 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 20715 None None None 2017-08-23 11:47 EDT

  None (edit)
Description Nikhil Kathole 2017-07-11 02:38:57 EDT
Description of problem: When there are large number of users and we want to delete users in bulk number ( such as more than 100 ), we have to delete each individual user by clicking respective delete button. Suppose I want to delete 100 users, I have to click delete button 100 times. Thus, There should be check-boxes to select users and delete them at once.


Version-Release number of selected component (if applicable): sat 6.3


How reproducible:


Steps to Reproduce:
1. create hundreds of users
2. Attempt to delete them

Actual results:
Manually have to click on delete button for each user.

Expected results:
There should be multiple user selection


Additional info:
Comment 1 Brad Buckingham 2017-07-11 13:39:57 EDT
Would using hammer cli be a reasonable alternative in the meantime?
Comment 2 Daniel Lobato Garcia 2017-08-23 11:47:21 EDT
Created redmine issue http://projects.theforeman.org/issues/20715 from this bug

Note You need to log in before you can comment on or make changes to this bug.